AOWP_PointcutComposition (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.AOWP_PointcutComposition
/aspect/pointcut/PointcutComposition.class.php at line 16

# Class AOWP_PointcutComposition

    AOWP_Pointcut
        └─AOWP_PointcutComposition

public class AOWP_PointcutComposition
extends AOWP_Pointcut

ポイントカット記述子の組み合わせを実現するクラスです。 `Pointcut::orAnd`、`Pointcut::opOr`を呼び出した時に、 `Pointcut`クラスの中で内部的に、このクラスのインスタンスが生成されており、 通常、プログラマがこのインスタンスを直接使う事は少ないかと思います。

Author:
  keiji

Field Summary
final str | AND_SIGN
final str | OR_SIGN
private mixed | $_leftPC
private mixed | $_rightPC
private mixed | $_sign

Fields inherited from aowp.aspect.pointcut.AOWP_Pointcut
_advice, _notFlag

Constructor Summary
AOWP_PointcutComposition(mixed leftPC, mixed rightnPC, mixed sign)

Method Summary
protected void | _isJoinPointShadow(mixed joinPoint)
protected void | _runtimeMatch(mixed joinPoint)
void | isHavePointcut(mixed pointcut)
void | isJoinPointShadow(mixed joinPoint)
mixed | opNot() ド・モルガンの定理に基づいて、 左辺と右辺のそれぞれのポイントカットにNotを適用します。
void | runtimeMatch(mixed joinPoint)
void | setAdvice(mixed advice)

Methods inherited from aowp.aspect.pointcut.AOWP_Pointcut
__clone, _getAspectInstance, _isJoinPointShadow, _runtimeMatch, isHavePointcut, isJoinPointShadow, isNot, opAnd, opNot, opOr, patternMatch, runtimeMatch, setAdvice

## Field Detail

/aspect/pointcut/PointcutComposition.class.php at line 18

### AND_SIGN

`public final str AND_SIGN = '&'`

/aspect/pointcut/PointcutComposition.class.php at line 19

### OR_SIGN

`public final str OR_SIGN = '|'`

/aspect/pointcut/PointcutComposition.class.php at line 21

### _leftPC

`private mixed $_leftPC`

/aspect/pointcut/PointcutComposition.class.php at line 22

### _rightPC

`private mixed $_rightPC`

/aspect/pointcut/PointcutComposition.class.php at line 23

### _sign

`private mixed $_sign`

## Constructor Detail

/aspect/pointcut/PointcutComposition.class.php at line 25

### AOWP_PointcutComposition

`public AOWP_PointcutComposition(mixed leftPC, mixed rightnPC, mixed sign)`

## Method Detail

/aspect/pointcut/PointcutComposition.class.php at line 56

### _isJoinPointShadow

`protected void _isJoinPointShadow(mixed joinPoint)`

Code.
See Also:
  aspect/pointcut/AOWP_Pointcut#_isJoinPointShadow()

/aspect/pointcut/PointcutComposition.class.php at line 80

### _runtimeMatch

`protected void _runtimeMatch(mixed joinPoint)`

Code.
See Also:
  aspect/pointcut/AOWP_Pointcut#_runtimeMatch()

/aspect/pointcut/PointcutComposition.class.php at line 70

### isHavePointcut

`public void isHavePointcut(mixed pointcut)`

/aspect/pointcut/PointcutComposition.class.php at line 66

### isJoinPointShadow

`public void isJoinPointShadow(mixed joinPoint)`

/aspect/pointcut/PointcutComposition.class.php at line 43

### opNot

`public mixed opNot()`

ド・モルガンの定理に基づいて、 左辺と右辺のそれぞれのポイントカットにNotを適用します。

Code.
See Also:
  aspect/pointcut/AOWP_Pointcut#opNot()
Returns:
  {@link AOWP_Pointcut}

/aspect/pointcut/PointcutComposition.class.php at line 90

### runtimeMatch

`public void runtimeMatch(mixed joinPoint)`

/aspect/pointcut/PointcutComposition.class.php at line 31

### setAdvice

`public void setAdvice(mixed advice)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr